Subject: Re: [PATCH] Reduce netfilter memory use on MP systems

From: Andi Kleen <[email-masked]>
Date: Fri, 4 Feb 2005 18:51:34 +0100

> > And in general it saves a lot of memory.
> 
> Patrick, could you apply and submit this patch to Davem? Or if Davem
> applies it himself. It's pretty obvious and would help small SMP
> machines with distribution kernels and/or strange admins.

The main motivation is actually not to save the memory (that's just
a useful side effect), but increase the max limit on 64bit systems.
Fixing it fully will require fixing vmalloc of course, but it already
help. Without it you can't get more than ~3800 rules
on a 64bit system with NR_CPUS==128 and 128 byte cache lines.

-Andi